summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAmy Liffey <amynka@gentoo.org>2017-08-04 12:53:46 +0200
committerAmy Liffey <amynka@gentoo.org>2017-08-04 12:54:26 +0200
commit4db9da2f8a4b3dfbad41cefc0e665022a0c798bc (patch)
treeeacb3342e1610a34a3f1d2c4bea0f139d78ecfac /dev-libs/mapm/mapm-4.9.5-r1.ebuild
parentdev-perl/Text-VimColor: Add build fix for Perl 5.26, bug 623140 (diff)
downloadgentoo-4db9da2f8a4b3dfbad41cefc0e665022a0c798bc.tar.gz
gentoo-4db9da2f8a4b3dfbad41cefc0e665022a0c798bc.tar.bz2
gentoo-4db9da2f8a4b3dfbad41cefc0e665022a0c798bc.zip
dev-libs/mapm: eapi bump to 6
Package-Manager: Portage-2.3.6, Repoman-2.3.1
Diffstat (limited to 'dev-libs/mapm/mapm-4.9.5-r1.ebuild')
-rw-r--r--dev-libs/mapm/mapm-4.9.5-r1.ebuild43
1 files changed, 43 insertions, 0 deletions
diff --git a/dev-libs/mapm/mapm-4.9.5-r1.ebuild b/dev-libs/mapm/mapm-4.9.5-r1.ebuild
new file mode 100644
index 00000000000..e90f39c4851
--- /dev/null
+++ b/dev-libs/mapm/mapm-4.9.5-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Mike's Arbitrary Precision Math Library"
+HOMEPAGE="http://www.tc.umn.edu/~ringx004/mapm-main.html"
+SRC_URI="http://www.tc.umn.edu/~ringx004/${P}.tar.gz"
+
+LICENSE="mapm-4.9.5"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+S="${WORKDIR}/${PN}_${PV}"
+
+PATCHES=( "${FILESDIR}/${PV}-missing_include.patch" )
+
+src_compile() {
+ $(tc-getCC) -c -Wall ${CFLAGS} -fPIC map*.c || die "compiling sources failed"
+ $(tc-getCC) -shared ${LDFLAGS} -Wl,--soname=libmapm.so -o libmapm.so.0 map*.o || die "linking sources failed"
+}
+
+src_install() {
+ dolib.so libmapm.so.0
+ dosym libmapm.so.0 /usr/$(get_libdir)/libmapm.so
+
+ insinto /usr/include
+ doins m_apm.h
+
+ insinto /usr/share/doc/${PF}/examples
+ doins calc.c validate.c primenum.c cpp_demo.cpp
+
+ cd DOCS || die
+ dodoc README article.pdf algorithms.used commentary.txt \
+ cpp_function.ref function.ref history.txt struct.ref
+
+}